import os
import shutil
from pathlib import Path

def delete_migrations_folders(folder_path):
    for foldername, subfolders, filenames in os.walk(folder_path):

        #if '' in subfolders
        if 'migrations' in subfolders:
            migrations_folder_path = os.path.join(foldername, 'migrations')
            try:
                # Remove the 'migrations' folder and its contents
                if 'ENVCMS' not in migrations_folder_path : 
                    shutil.rmtree(migrations_folder_path)
                    print(f"Deleted: {migrations_folder_path}")
            except Exception as e:
                print(f"Failed to delete {migrations_folder_path}: {e}")
        if 'db.sqlite3' in filenames:
            db_file_path = os.path.join(foldername, 'db.sqlite3')
            try:
                # Remove the 'db.sqlite3' file
                os.remove(db_file_path)
                print(f"Deleted: {db_file_path}")
            except Exception as e:
                print(f"Failed to delete {db_file_path}: {e}")
# Specify the directory where you want to delete 'migrations' folders
#BASE_DIR = Path(__file__).resolve().parent.parent
directory_path = Path(__file__).resolve().parent.parent
#directory_path = 'C:\\Users\\MSeif\\Documents\\Git\\CMS-Cntr.EHabib' 
# Call the function to delete 'migrations' folders
delete_migrations_folders(directory_path)